Package Details: rtl8821ce-dkms-git 1.0.5.r36.gca4abd8-1

Git Clone URL: https://aur.archlinux.org/rtl8821ce-dkms-git.git (read-only, click to copy)
Package Base: rtl8821ce-dkms-git
Description: rtl8821CE driver with firmware
Upstream URL: https://github.com/tomaspinho/rtl8821ce
Keywords: dkms git rtl8821ce
Licenses: GPL2
Conflicts: rtl8821ce
Submitter: tomaspinho
Maintainer: tomaspinho
Last Packager: tomaspinho
Votes: 22
Popularity: 4.23
First Submitted: 2018-03-04 12:12
Last Updated: 2019-12-22 19:26

Dependencies (6)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

kaido8903 commented on 2020-04-16 01:23

hello how are you, I wanted to ask you about a problem that I have presented with the controller in manjaro ... what happens is that when I suspend my laptop the interface stays in down mode, I try to upload it again with the command "sudo ip link set wlp2s0 up" but I get the answer operation not permitted

Namarrgon commented on 2020-01-18 18:42

This shouldn't depend on "linux-headers". It makes it impossible to install it for any other kernel other than 'linux' without forcing the user to install the "linux*" packages. Making sure that the appropriate headers are installed is the admin's job.

tomaspinho commented on 2019-12-22 19:26

@ben81 fixed.

ben81 commented on 2019-12-22 18:47

The package "bc" needs to be a dependency, not just a make dependency. I made this package on an Arch machine with a working Internet connection and copied the .tar.xz file to another machine. When I installed it, the post-transaction hook for "dkms install rtl8821ce..." failed and said to check the log. The error in the log was that the command "bc" was not found.

peterleimbach commented on 2019-12-15 20:16

I installed the driver this evening after upgrading the system with pacman -Syu and it worked for me without any issue. Thanks a lot.

carlinchisart commented on 2019-12-15 16:42

hi all, I follow the step yby @tomaspinho but not work.

when i run the command dmesg | grep failed

[ 4.674336] platform regulatory.0: Direct firmware load for regulatory.db failed with error -2 [ 4.674338] cfg80211: failed to load regulatory.db [ 4.757727] 8821ce: module verification failed: signature and/or required key missing - tainting kernel

i think this is the problem, but i can't find the solution.

i use arch linux 5.4.3-arch1-1 #1 SMP PREEMPT Fri, 13 Dec 2019 09:39:02 +0000 x86_64 GNU/Linux

Thanks

abend commented on 2019-11-25 02:44

Same issue here as ASLok described. I was not able to make it work :(

ASLok commented on 2019-11-22 20:07

@tomaspinho No differences, got the same error.

This driver works with linux-lts but need to remove second tar.gz in the driver/ directory, currently have to use it - https://github.com/alanfox2000/realtek-linux/blob/master/RTL8821CE/RTL8821CE_WiFi_linux_v5.5.2.1_35598_COEX20180712-3232.20191029.part1.rar

tomaspinho commented on 2019-11-22 18:19

@ASLok Just built this package without issues on Manjaro with Kernel 5.3.12-1-MANJARO.

Please make sure you have:

1) fully removed this package (and any previous versions) from your system (pacman -R)

2) fully removed all dkms installations of this module:

2.1) run "dkms status"

2.2) run "dkms remove module/version --all" for all outputs of previous command

3) install this package again

ASLok commented on 2019-11-21 11:25

==> dkms install rtl8821ce/1.0.5.r74.g27f98a5 -k 5.3.11-arch1-1 Error! Bad return status for module build on kernel: 5.3.11-arch1-1 (x86_64)

https://pastebin.com/ET4FnhCS

Tried linux-lts 4.19.84-1-lts got the same error